#
# spec file for package sysprof (Version 1.0.8)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash binutils binutils-devel bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libglade2 libglade2-devel libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           sysprof
BuildRequires:  binutils-devel gtk2-devel kernel-source kernel-syms libglade2-devel module-init-tools
ExclusiveArch:  %ix86 x86_64
%define kernel_version  %(uname -r)
%define kernel_version_  %(uname -r|tr - _)
%define prefix /usr
%define sysconfdir /etc
Summary:        Sampling CPU Profiler
Version:        1.0.8
Release:        70.1
License:        GPL v2 or later
Group:          Development/Tools/Debuggers
Url:            http://www.daimi.au.dk/~sandmann/sysprof/
Source:         %name-%version.tar.bz2
Patch0:         %{name}-module-configh.patch
Patch1:         %name-text.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%suse_kernel_module_package -n sysprof kdump um xen xenpae 

%description
Sysprof is a sampling CPU profiler for Linux that uses a kernel module
to profile the entire system, not just a single application. Sysprof
handles shared libraries and applications do neither have to be
recompiled nor restarted.



Authors:
--------
    Soren Sandmann (sandmann@redhat.com)

%debug_package
%package KMP
License:        GPL v2 or later
Summary:        sampling CPU profiler
Group:          Development/Tools/Debuggers

%description KMP
Sysprof is a sampling CPU profiler for Linux that uses a kernel module
to profile the entire system, not just a single application. Sysprof
handles shared libraries and applications do not need to be recompiled.
In fact they don't even have to be restarted.



Authors:
--------
    Soren Sandmann (sandmann@redhat.com)

%prep
%setup -q
%patch0
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
autoreconf --force --install
./configure	--prefix=%prefix \
                --disable-kernel-module
make
mkdir source obj
cp module/sysprof-module.c module/sysprof-module.h source/
cat > source/Kbuild <<-'EOF'
        EXTRA_CFLAGS += -I$(src) -DNOKERNEL -DPACKAGE_VERSION="\"%version\""
        obj-m := sysprof.o
        sysprof-objs := sysprof-module.o
EOF
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
         M=$PWD/obj/$flavor
done

%install
rm -rf $RPM_BUILD_ROOT;
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
make DESTDIR=$RPM_BUILD_ROOT install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc ChangeLog NEWS COPYING AUTHORS README 
%prefix/bin/*
%dir %prefix/share/sysprof
%prefix/share/sysprof/*
%prefix/share/pixmaps/*.png

%changelog
* Wed Jul 04 2007 - coolo@suse.de
- adding patch to build sysprof-text to make profiling anything
  else than firefox feasible
* Thu Apr 05 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Mon Jan 15 2007 - aj@suse.de
- Update to Version 1.0.8 to work with newer kernels.
* Mon Jan 08 2007 - ro@suse.de
- GNOME moved to /usr
* Fri Jun 09 2006 - jpr@suse.de
- Update to 1.0.3
- Fixes for newer kernels
- Only build on i386 and x86_64
* Thu Mar 02 2006 - jpr@suse.de
- Initial package check in
- Package for profiling application performance
